package com.unis.module.coding.service.zjxx;

import javax.validation.*;
import com.unis.module.coding.controller.admin.zjxx.vo.*;
import com.unis.module.coding.dal.dataobject.zjxx.ZjxxDO;
import com.unis.framework.common.pojo.PageResult;

/**
 * 质检信息 Service 接口
 *
 * @author 超级管理员
 */
public interface ZjxxService {

    /**
     * 创建质检信息
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createZjxx(@Valid ZjxxSaveReqVO createReqVO);

    /**
     * 更新质检信息
     *
     * @param updateReqVO 更新信息
     */
    void updateZjxx(@Valid ZjxxSaveReqVO updateReqVO);

    /**
     * 删除质检信息
     *
     * @param id 编号
     */
    void deleteZjxx(Long id);

    /**
     * 获得质检信息
     *
     * @param id 编号
     * @return 质检信息
     */
    ZjxxDO getZjxx(Long id);

    /**
     * 获得质检信息分页
     *
     * @param pageReqVO 分页查询
     * @return 质检信息分页
     */
    PageResult<ZjxxDO> getZjxxPage(ZjxxPageReqVO pageReqVO);

}